Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Classes | Public Member Functions | List of all members
LatBuilder::MeritSeq::LatSeqOverCBC< CBC > Class Template Reference

Sequence of merit values for any sequence of lattice definitions. More...

`#include <LatSeqOverCBC.h>`

## Classes
class | Seq
| Output sequence of merit values. More...

## Public Member Functions
| LatSeqOverCBC (CBC cbc)
| Constructor. More...
const CBC & | cbc () const
template<typename LATSEQ >
Seq< LATSEQ > | meritSeq (LATSEQ latSeq) const
| Creates a new sequence of merit values based on a sequence of lattice definitions. More...

## Detailed Description

### template<class CBC>
class LatBuilder::MeritSeq::LatSeqOverCBC< CBC >

Sequence of merit values for any sequence of lattice definitions.

The computation of the merit value for a given generating vector is achieved by applying the CBC algorithm for each component, but considering only the current generator value instead of all values from a sequence of generator values like in the original CBC algorithm.

Template Parameters

  CBC | Type of CBC algorithm.

## Constructor & Destructor Documentation

template<class CBC >

LatBuilder::MeritSeq::LatSeqOverCBC< CBC >::LatSeqOverCBC | ( | CBC | cbc | ) |
| inline

Constructor.

Parameters

  cbc | Instance of the CBC algorithm to be used.

## Member Function Documentation

template<class CBC >
template<typename LATSEQ >

Seq<LATSEQ> LatBuilder::MeritSeq::LatSeqOverCBC< CBC >::meritSeq | ( | LATSEQ | latSeq | ) | const
| inline

Creates a new sequence of merit values based on a sequence of lattice definitions.

Parameters

  latSeq | Sequence of lattice definitions.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/MeritSeq/LatSeqOverCBC.h